Documentation

Reviews

Get product reviews, create/update/delete reviews, and vote on reviews

Last updated: Feb 09, 2026

Reviews

Note: Requires the reviews feature flag to be enabled. Creating/updating/deleting reviews requires authentication. Viewing reviews is public.

Get Product Reviews

Get reviews for a product (public).

GET /api/v1/products/{id}/reviews

Create Review

Submit a product review (authenticated).

POST /api/v1/reviews
Request Body:
{
  "product_id": 5,
  "rating": 5,
  "title": "Excellent product!",
  "comment": "Very satisfied with the quality..."
}

Update Review

Update own review.

PUT /api/v1/reviews/{id}

Delete Review

Delete own review.

DELETE /api/v1/reviews/{id}

Vote on Review

Mark review as helpful.

POST /api/v1/reviews/{id}/vote
Request Body:
{
  "helpful": true
}